Package org.apache.sling.distribution.journal.impl.publisher

## Class DistributedEventNotifierManager

- java.lang.Object
- - org.apache.sling.distribution.journal.impl.publisher.DistributedEventNotifierManager

All Implemented Interfaces:
  `Runnable`, `org.apache.sling.discovery.TopologyEventListener`

    public class DistributedEventNotifierManager
    extends Object
    implements org.apache.sling.discovery.TopologyEventListener, Runnable

### Nested Class Summary

Nested Classes
`static interface` `DistributedEventNotifierManager.Configuration`

### Constructor Summary

Constructors
`DistributedEventNotifierManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(org.osgi.framework.BundleContext context, DistributedEventNotifierManager.Configuration config)`
`void` `deactivate()`
`void` `handleTopologyEvent​(org.apache.sling.discovery.TopologyEvent event)`
`protected boolean` `isLeader()`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DistributedEventNotifierManager

    public DistributedEventNotifierManager()

### Method Detail

#### activate

    public void activate​(org.osgi.framework.BundleContext context,
                         DistributedEventNotifierManager.Configuration config)

#### deactivate

    public void deactivate()

#### handleTopologyEvent

    public void handleTopologyEvent​(org.apache.sling.discovery.TopologyEvent event)

Specified by:
  `handleTopologyEvent` in interface `org.apache.sling.discovery.TopologyEventListener`

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### isLeader

    protected boolean isLeader()